> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

## Added

* **Organizations** → [Retrieve terms and conditions acceptance](/api/reference/endpoints/organizations/retrieve-organization-terms-and-conditions-v-2026-10-30): Endpoint is now available, which allows to retrieve the terms and conditions acceptance status for the organization, including legal agreements and platform terms of service.

* **Global Payroll** → [Retrieve contract creation schema](/api/reference/endpoints/global-payroll/retrieve-gp-contract-creation-schema-v-2026-10-30): Endpoint is now available, which allows to retrieve the list of fields required to create a Global Payroll contract, including field types, required status, permitted values, and validation constraints.

## Changed

* **Organization Structure** → [Update an existing HRIS Org Structure](/api/reference/endpoints/organization-structure/update-organization-structure): Added explicit properties `id`, `name`, `children`, and `externalId` to team items in the `teams` request field, defining the accepted structure for creating, updating, and deleting teams.

* **Invoice Adjustments** → [Create an invoice adjustment](/api/reference/endpoints/invoice-adjustments/create-invoice-adjustment): Added `new` as a valid value for `status` in the response.

* **Immigration** → [Create an immigration case](/api/reference/endpoints/immigration/create-client-case): Added new valid values for `purpose` in the `travel_information` request body, including `EXT_BUS_MEET_NO_WORK`, `EXT_BUS_DELIVER_SERVICE`, `CONF_WORKSHOP_PAID`, `TECH_SUPERVISION`, `MARITIME_CREW`, and 13 others.

* **Time Tracking Shifts** → [Get Shift details](/api/reference/endpoints/time-tracking-shifts/get-time-tracking-shift-by-external-id): Lowered the minimum value of `time_amount` to 0.

* **Gp Hiring** → [Create a Global Payroll (GP) contract](/api/reference/endpoints/gp-hiring/create-g-p-contract): Added `payroll_group_id` in the request that specifies the payroll group the employee will be assigned to.

* **Contractor Hiring** → [Create contract signature](/api/reference/endpoints/contractor-hiring/create-contract-signature): `contract_template_id` now accepts `null`.